echo "---"
echo "Скачивание бинарного файла..."
echo "---"
# Fetch the latest release information from the GitHub API
response=$(curl -s https://api.github.com/repos/cake-tech/cake_wallet/releases/latest)
# Extract the release tag and the desired file name
release_tag=$(echo "$response" | grep -o '"tag_name": "[^"]*' | sed 's/"tag_name": "//')
file_name="Cake_Wallet_${release_tag}_Linux.tar.xz"
# Construct the download link
download_link="https://github.com/cake-tech/cake_wallet/releases/download/$release_tag/$file_name"

wget $download_link
